Need Joomla hosting crafted with care and expert 24/7 support? Start Here!

Extending Joomla 2.5 (valid for Joomla 1.7 and 1.6 too)

Joomla  can be easily extended and customized just as its previous versions. The same instructions are valid for the previous Joomla 1.7 and 1.6 version too. For those who are not familiar with Joomla extensions we will explain the role of Joomla components, modules, plugins, templates and languages through which you can extend the functionality of your site.

Joomla components provide the most extensive functionality of all extensions. They can completely alter the functionality and look of a Joomla-powered website. For example, with a component you can turn part of your Joomla into an online store, forum or photo gallery. 

Joomla modules can be used if you are looking for minor functionality extension such as adding a block in your pages for showing the weather. Each module can be published in predefined blocks or template positions which differ for each template.

Joomla plugins are invisible to the end user since they don’t show directly in parts of your site. However, plugins are very powerful and can change Joomla input / output in various ways. An example of a plugin is the one used for changing the pagination in Joomla or rewriting the URLs.

Joomla templates are used for changing the look of your site. There are templates for the frontend and for the backend. Most templates are for the frontend since the backend template is visible only for users with special permissions (e.g. administrators). By default, Joomla 2.5 comes with 3 frontend and 2 backend templates. If you haven’t chosen your template yet, check the ones in our free Joomla templates gallery.

Last but not least, there are Joomla languages. You will need an additional language pack in case you plan to create your site in a language different from English, which is the default one.

When looking for Joomla extensions it is important to make sure that the one you choose is compatible with your Joomla version. Joomla 1.5 had legacy mode which allowed older extensions to be used. However, Joomla 2.5 does not have such option and it does not support extensions for previous versions.